.content {
    padding: 2%;
    height: 100vh;
}

h1 {
    color: #00bfff;
    font-weight: 800;
    font-size: 45px;
    margin-block-start: 0;
}

video {
    width: 70%;
}

img {
    margin-top: 20px;
    width: 70%;
    cursor: pointer;
    outline: none;
    opacity: 1;
    transition: 1s;

    &:hover {
        opacity: 0.8;
    }
}

.presente {
    position: relative;
    img {
        width: 20vw;
    }

    .fechada {
        animation: shake 0.5s;
        animation-iteration-count: infinite;
        position: absolute;
        opacity: 1;
        transition: all 0.5s;
        z-index: 99;

        &.abriu {
            opacity: 0;
        }
    }

    .aberta {
        width: 30vw;
        position: absolute;
        opacity: 0;
        transition: all 1s;

        &.abriu {
            opacity: 1;
        }
    }

    .video {
        z-index: 99;
        transition: all 1s;
        animation: movendo 1s;
        animation-iteration-count: 1;
        position: fixed;

        .mat-raised-button {
            color: #fff;
            font-weight: 600;
            background-color: #00bfff;
            transition: 1s;
            margin-top: 20px;
            opacity: 0;
        }

        .mostrarbotao {
            opacity: 1;
        }

        video {
            outline: none;
        }
    }
}

::ng-deep canvas {
    top: 40% !important;
    left: 40% !important;
}

@keyframes shake {
    0% {
        transform: translate(1px, 1px) rotate(0deg);
    }

    10% {
        transform: translate(-1px, -2px) rotate(-5deg);
    }

    20% {
        transform: translate(-3px, 0px) rotate(5deg);
    }

    30% {
        transform: translate(3px, 2px) rotate(0deg);
    }

    40% {
        transform: translate(1px, -1px) rotate(5deg);
    }

    50% {
        transform: translate(-1px, 2px) rotate(-5deg);
    }

    60% {
        transform: translate(-3px, 1px) rotate(0deg);
    }

    70% {
        transform: translate(3px, 1px) rotate(-5deg);
    }

    80% {
        transform: translate(-1px, -1px) rotate(5deg);
    }

    90% {
        transform: translate(1px, 2px) rotate(0deg);
    }

    100% {
        transform: translate(1px, -2px) rotate(-5deg);
    }
}

@keyframes movendo {
    0% {
        top: 50%;
        transform: scale(0.2);
    }

    50% {
        top: -180%;
    }

    100% {
        top: 10%;
    }
}
